Loading...
Searching...
No Matches
pcl::registration::CorrespondenceRejectorFeatures::FeatureContainerInterface Class Referenceabstract

`#include <pcl/registration/correspondence_rejection_features.h>`

## Public Types

using | Ptr = shared_ptr<FeatureContainerInterface>

## Public Member Functions

virtual | ~FeatureContainerInterface ()=default
| Empty destructor.
virtual bool | isValid ()=0
virtual double | getCorrespondenceScore (int index)=0
virtual bool | isCorrespondenceValid (int index)=0

## Detailed Description

Definition at line 162 of file correspondence_rejection_features.h.

## Member Typedef Documentation

## Ptr

using pcl::registration::CorrespondenceRejectorFeatures::FeatureContainerInterface::Ptr = shared_ptr<FeatureContainerInterface>

Definition at line 173 of file correspondence_rejection_features.h.

## Constructor & Destructor Documentation

## ~FeatureContainerInterface()

virtual pcl::registration::CorrespondenceRejectorFeatures::FeatureContainerInterface::~FeatureContainerInterface | ( |  | ) |

virtual default

Empty destructor.

## Member Function Documentation

## getCorrespondenceScore()

virtual double pcl::registration::CorrespondenceRejectorFeatures::FeatureContainerInterface::getCorrespondenceScore | ( | int | index | ) |

pure virtual

## isCorrespondenceValid()

virtual bool pcl::registration::CorrespondenceRejectorFeatures::FeatureContainerInterface::isCorrespondenceValid | ( | int | index | ) |

pure virtual

## isValid()

virtual bool pcl::registration::CorrespondenceRejectorFeatures::FeatureContainerInterface::isValid | ( |  | ) |

pure virtual

The documentation for this class was generated from the following file:

- pcl/registration/correspondence_rejection_features.h